## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate erdtree

Name:           rust-erdtree
Version:        2.0.0
Release:        %autorelease
License:        MIT
Summary:        Cross-platform multi-threaded filesystem and disk usage analysis tool
URL:            https://crates.io/crates/erdtree
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          erdtree-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Erdtree (erd) is a cross-platform multi-threaded filesystem and disk
usage analysis tool that respects gitignore and hidden file rules.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Output of "cargo_license_summary" macro
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc README.md
%doc SECURITY.md
%{_bindir}/erd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Apr 30 2023 John Doe <packager@example.com> - 2.0.0-1
- Uncommitted changes
